﻿using System;
using System.Configuration;
using Register.Command;


namespace Register.DALFactory
{

   public class DALFactory<T> where T:class
    {
       public static T Create(String typeNameKey)
       {
           string nameSpace = ConfigurationManager.AppSettings["DALAssembly"];
           string assemblyPath = ConfigurationManager.AppSettings["DALPath"];

           return FactoryHelper<T>.Create(typeNameKey, nameSpace, assemblyPath);
       }

    }
}
